aboutsummaryrefslogtreecommitdiffstats
path: root/testing/altermime/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-03-02 12:41:02 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-03-02 12:41:02 +0000
commite390bd27058427d609420a460762668888a8888e (patch)
tree585d5367143115f3b6b689fb6726e55559eb072c /testing/altermime/APKBUILD
parent642b6ca55982105ad3e59b0fa5aff8c43111ecb0 (diff)
downloadaports-e390bd27058427d609420a460762668888a8888e.tar.gz
aports-e390bd27058427d609420a460762668888a8888e.tar.bz2
aports-e390bd27058427d609420a460762668888a8888e.tar.xz
testing/altermime: new aport
program alter mime-encoded mailpacks http://www.pldaniels.com/altermime/
Diffstat (limited to 'testing/altermime/APKBUILD')
-rw-r--r--testing/altermime/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/altermime/APKBUILD b/testing/altermime/APKBUILD
new file mode 100644
index 0000000000..1e4667716b
--- /dev/null
+++ b/testing/altermime/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=altermime
+pkgver=0.3.10
+pkgrel=0
+pkgdesc="program alter mime-encoded mailpacks"
+url="http://www.pldaniels.com/altermime/"
+arch="all"
+license="Sendmail"
+depends=
+makedepends=
+install=
+subpackages=
+source="http://www.pldaniels.com/altermime/altermime-$pkgver.tar.gz
+ makefile-flags.patch"
+
+_builddir="$srcdir"/altermime-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -Dm755 altermime "$pkgdir"/usr/bin/altermime
+}
+
+md5sums="aaf0ad8029958a2dc6da3abb4dc178c2 altermime-0.3.10.tar.gz
+604775894fa4f8ddd9d44761ce2be2ea makefile-flags.patch"